- Table of Contents
- Previous Chapter

# Chapter 8: Errormessages

`Can't chdir to `path'`

> the directory `path` could not be created/used. This may be a permission problem. Check the permissions of `path` if `path` does actually exist. The problem may be in a path component, not necessarily in the last element of the path.

`Can't open `<fname>' to read (or write)`

> When a `GET` or `PUT` command fails because the target file could not be read or written, stealth terminates afer logging this message. The file may not exist or you may not not have sufficient permissions to read or write it.

`Corrupt line in policy file: ...`

> The apparently corrupted line is shown. The line is corrupted if the line could not be split into an initial word and its remainder. Normally this should not happen. As the line is mentioned, the message itself should assist you in your repairs.

`could not open <logname>`

> This message is generated when the mentioned log-file cannot be written to. Check the permissions of the file, and check if the path to the file exists. The problem may be in a path component, not necessarily in the last element of the path or in the file itself.

`--daemon: missing uds-file or policy file`

> The `--daemon` option requires the location for its Unix Domain Socket, and in addition a policy file must be specified. Most likely the location of the Unix Domain File was omitted, thus confusing the policy file with the Unix Domain File

`incompatible options: ...`

> Two or more incompatible options are shown. E.g., `--daemon` is incompatible with IPC options, which themselves are mutually incompatible. Omit all but one of the mentioned options and restart stealth

`Inserting command `...' failed.`

> the mentioned command could not be sent to a child-process (`sh` or `ssh`). Check the availability of the `ssh` connection to the client, and whether you have permissions to execute the specified command.

`Invalid --random-interval specified`

> The --random-interval option was given an invalid (too large or negative) argument.

`invalid --<option> specified`

> The specified option value (e.g., `--max-size` was specified, but its option value is not a valid integral number) is not supported

`LocalClientSocket::connect(): ...`

> When running in IPC-mode stealth could not connect to the unix domain socket specified for the IPC-mode. Check whether the matching stealth daemon exists, and whether the location of the uds-file was correctly specified

`LocalServerSocket::accept(): ...`

> When running in daemon mode incoming connections could not be accepted. This may have many causes, and a probably cause is mentioned with the error message

`LocalServerSocket::listen(): ...`

> When running in daemon mode the unix domain socket failed to listen for incoming connections. This may have many causes, and a probably cause is mentioned with the error message

`LocalServerSocket::open(<uds>): ...`

> When running in daemon mode the unix domain socket could not be opened. A possible reason is that an entry in the file system having the same name already exists. The error message will mention a probably cause of the failure

`--max-size incompatible with IPC calls`

> The `--max-size` option can can only be used when stealth is also receiving a policy file. It cannot be used in combination with the Inter Process Communication (IPC) options `--reload, --rerun, --resume, --suspend` or `--terminate`.

`--max-size <value>: invalid option value`

> An invalid specification for `--max-size` was received. Refer to the man-page or manual for information about valid options.

`No exit value for <cmd> ...`

> No exit value was received for the logged command, after which stealth terminates.

`--<option> is only valid for a s() foreground process`

> The indicated option cannot be specified in combination with a `--daemon` or IPC-option (like `--suspend`)

`--random-interval requires --repeat`

> The `--random-interval` option can only be used when the `--repeat` option has also been specified.

`--repeat not available in IPC modes`

> The `--repeat` option cannot be specified in combination with an IPC-option (like `--suspend`)

`--run-command 0: not a valid (natural) command number`

> The `--run-command` option requires an argument, which is a positive, integral value.

`--run-command <nr>: invalid command number`

> The `--run-command` option requires an argument, which is a positive, integral value at most equal to the number of commands listed in the policy file.

`--skip-files incompatible with IPC calls`

> The `--skip-files` option can only be used when stealth is also given a policy file. It cannot be used in combination with IPC options (`--reload, --rerun, --resume, --suspend` or `--terminate`).

`--skip-files: missing skip-file or policy file`

> The `--skip-files` option requires a file name and the stealth command also requires a policy file. Most likely the name of the skip-file was not provided, thus confusing the policy file with the skip-file.

`--stdout incompatible with --daemon`

> The `--stdout` option can only be used when stealth is not started as a daemon process.

`syslog facility <facility> not supported`

> The option `--syslog-facility` requires the name of a standard syslog(1) facility. Supported facilities are `DAEMON, LOCAL0` through `LOCAL7` and `USER`. See, e.g., the syslog(3) man-page for an overview of their definitions.

`--syslog* options incompatible with IPC calls`

> `--syslog*` options can can only be used when stealth is also receiving a policy file. It cannot be used in combination with the Inter Process Communication (IPC) options `--reload, --rerun, --resume, --suspend` or `--terminate`.

`syslog priority <priority> not supported`

> The option `--syslog-priority` requires the name of a standard syslog(1) priority. All standard priorities are supported. See, e.g., the syslog(3) man-page for an overview of available priorities. The prefixes used with the priorities in this man-page (i.e., `LOG_` should not be used when specifying the `--syslog-priority`. E.g., use `--syslog-priority WARNING` rather than `--syslog-priority LOG-WARNING`)

`terminated: non-zero exit value for `...'`

> A local command (not using the `CHECK` keyword), returned with a non-zero exit. This will terminate further processing of the policy file. Inspect and/or rerun the command `by hand' to find indications about what went wrong. The report file or the standard error stream may also contain additional information about the reason of the failure.

`Unable to create the logfile `...'`

> the mentioned log file could not be created. Check the permissions of the file, check if the path to the file exists. The problem may be in a path component, not necessarily in the last element of the path or in the file itself.

`Unix Domain Socket `<uds>': already in use, remove it first`

> The intended Unix Domain Socket name (`<uds>`) is already in use. It could be a file that is or has been used by another process. Either use another name for the unix domain socket, or remove the existing file-system entry

`USE SSH ... entry missing in the policy file`

> there is no default for the `USE SSH` specification in the policy file. The specification could not be found. Provide a specification like:

>     USE SSH     ssh -q root@localhost

- Table of Contents
- Previous Chapter